petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscMallocSetDRAM

Set PetscMalloc to use DRAM. If memkind is available, change the memkind type. Otherwise, switch the current malloc and free routines to the PetscMallocAlign and PetscFreeAlign (PETSc default).

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSetDRAM(void)

Not Collective

### Notes

This provides a way to do the allocation on DRAM temporarily. One can switch back to the previous choice by calling PetscMallocReset().

### See Also

PetscMallocReset()

### Level

developer

### Location

src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages